package com.xinelu.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 *
 * @author xinelu
 */
@Component
@ConfigurationProperties(prefix = "xinelu")
public class XinELuConfig {

    /**
     * 项目名称
     */
    private String name;

    /**
     * 版本
     */
    private String version;

    /**
     * 版权年份
     */
    private String copyrightYear;

    /**
     * 实例演示开关
     */
    private boolean demoEnabled;

    /**
     * 上传路径
     */
    private static String profile;

    /**
     * 获取地址开关
     */
    private static boolean addressEnabled;

    /**
     * 验证码类型
     */
    private static String captchaType;

    /**
     * 全医通小程序图片存放路径
     */
    private String nurserAppletPicture;

    /**
     * 护理站图片上传存放路径
     */
    private String nurserStationPictureUrl;

    /**
     * 护理站图片上传存放路径
     */
    private String nurserStationIntroducePictureUrl;

    /**
     * 护理站项目图片上传存放路径
     */
    private String nurserStationItemPictureUrl;

    /**
     * 商品图片路径上传存放路径
     */
    private String goodsPictureUrl;

    /**
     * 商品属性图片地址
     */
    private String attributePitureUrl;

	/**
	 * 筛查预约条码图片地址
	 */
	public String applyBarcodePitureUrl;

	/**
	 * 筛查预约条码图片地址
	 */
	public String registerBarcodePitureUrl;

	/**
	 * 血小板筛查图片地址
	 */
	public String plateletPitureUrl;

	/**
	 * 眼底病变筛查左眼图片地址
	 */
	public String leftEyePitureUrl;
	/**
	 * 眼底病变筛查右眼图片地址
	 */
	public String rightEyePitureUrl;

	/**
	 * 阿尔兹海默症筛查结果文件地址
	 */
	private String alzheimerFileUrl;

    /**
     * 修改会员App用户头像上传
     */
    private String headPictureUrl;

    /**
     * 评价信息图片上传路径
     */
    private String evaluatePictureUrl;

    /**
     * 任务完成上传图片
     */
    private String appointmentOrderDetailsUrl;

    /**
     * 护理机构上传图片
     */
    private String nurseStationClassifyUrl;

    /**
     * 海报图片存放路径
     */
    private String posterPictureUrl;

    /**
     * 海报视频存放路径
     */
    private String posterVideoUrl;

    /**
     * 资讯主缩略图地址
     */
    private String leadThumbnailUrl;

    /**
     * 商品分类图片地址
     */
    private String goodsCategoryPicture;

    /**
     * 护理员App人员头像的上传路径图片上传路径
     */
    private String nurseStationAppPersonUrl;

    /**
     * 获取管理端富文本的上传路径
     */
    private String richTextPictureUrl;

    /**
     * 护理项目分类图标存放地址存放路径
     */
    private String nurseItemClassifyUrl;

    /**
     * 在线客服群二维码存放路径
     */
    private String groupQrCodeUrl;

    /**
     * 科室人员证书图片存放路径
     */
    private String certificateUrl;

    /**
     * 健康咨询 科室人员头像地址
     */
    private String personPictureUrl;

    /**
     * 护理人员证书地址
     */
    private String personCertificateUrl;

    /**
     * 审核护理人员证书地址
     */
    private String personCertificateCheckUrl;

    /**
     * 医路
     */
    private String yiLuYouPinStoreName;

    /**
     * 护理员App上传路径
     */
    private String appFileName;

    /**
     * 泉医到家App文件存放路径
     */
    private String appFilePath;

    /**
     * 培训分类图片路径
     */
    private String trainingCategoryPictureUrl;

    /**
     * 培训项目logo图片路径
     */
    private String trainingItemCoverUrl;

    /**
     * 培训项目海报图片路径
     */
    private String trainingItemPosterUrl;

    /**
     * 培训项目海报图片路径
     */
    private String trainingItemContentUrl;

    /**
     * 培训项目章节视频存放地址
     */
    private String itemDirectoryUrl;

    /**
     * 微信好有邀请二维码存放路径
     */
    private String personalWeChatCodeUrl;

    /**
     * 护理站二维码存放路径
     */
    private String stationWechatCodeUrl;

    /**
     * 问诊文件地址
     */
    private String consultationFileUrl;

    /**
     * 聊天图片地址
     */
    private String chatRecordFileUrl;

    /**
     * 居民签约申请签字图片地址
     */
    private String residentSignatureUrl;

    public String getConsultationFileUrl() {
        return consultationFileUrl;
    }

    public void setConsultationFileUrl(String consultationFileUrl) {
        this.consultationFileUrl = consultationFileUrl;
    }

    public String getChatRecordFileUrl() {
        return chatRecordFileUrl;
    }

    public void setChatRecordFileUrl(String chatRecordFileUrl) {
        this.chatRecordFileUrl = chatRecordFileUrl;
    }

    public String getResidentSignatureUrl() {
        return residentSignatureUrl;
    }

    public void setResidentSignatureUrl(String residentSignatureUrl) {
        this.residentSignatureUrl = residentSignatureUrl;
    }

    public String getStationWechatCodeUrl() {
        return stationWechatCodeUrl;
    }

    public void setStationWechatCodeUrl(String stationWechatCodeUrl) {
        this.stationWechatCodeUrl = stationWechatCodeUrl;
    }

    public String getPersonalWeChatCodeUrl() {
        return personalWeChatCodeUrl;
    }

    public void setPersonalWeChatCodeUrl(String personalWeChatCodeUrl) {
        this.personalWeChatCodeUrl = personalWeChatCodeUrl;
    }

    public String getAppFilePath() {
        return appFilePath;
    }

    public void setAppFilePath(String appFilePath) {
        this.appFilePath = appFilePath;
    }

    public String getYiLuYouPinStoreName() {
        return yiLuYouPinStoreName;
    }

    public void setYiLuYouPinStoreName(String yiLuYouPinStoreName) {
        this.yiLuYouPinStoreName = yiLuYouPinStoreName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getCopyrightYear() {
        return copyrightYear;
    }

    public void setCopyrightYear(String copyrightYear) {
        this.copyrightYear = copyrightYear;
    }

    public boolean isDemoEnabled() {
        return demoEnabled;
    }

    public void setDemoEnabled(boolean demoEnabled) {
        this.demoEnabled = demoEnabled;
    }

    public static String getProfile() {
        return profile;
    }

    public void setProfile(String profile) {
        XinELuConfig.profile = profile;
    }

    public static boolean isAddressEnabled() {
        return addressEnabled;
    }

    public void setAddressEnabled(boolean addressEnabled) {
        XinELuConfig.addressEnabled = addressEnabled;
    }

    public static String getCaptchaType() {
        return captchaType;
    }

    public void setCaptchaType(String captchaType) {
        XinELuConfig.captchaType = captchaType;
    }

    /**
     * 获取导入上传路径
     */
    public static String getImportPath() {
        return getProfile() + "/import";
    }

    /**
     * 获取头像上传路径
     */
    public static String getAvatarPath() {
        return getProfile() + "/avatar";
    }

    /**
     * 获取下载路径
     */
    public static String getDownloadPath() {
        return getProfile() + "/download/";
    }

    /**
     * 获取上传路径
     */
    public static String getUploadPath() {
        return getProfile() + "/upload";
    }

    public String getNurserAppletPicture() {
        return nurserAppletPicture;
    }

    public void setNurserAppletPicture(String nurserAppletPicture) {
        this.nurserAppletPicture = nurserAppletPicture;
    }

    public String getNurserStationPictureUrl() {
        return nurserStationPictureUrl;
    }

    public void setNurserStationPictureUrl(String nurserStationPictureUrl) {
        this.nurserStationPictureUrl = nurserStationPictureUrl;
    }

    public String getNurserStationIntroducePictureUrl() {
        return nurserStationIntroducePictureUrl;
    }

    public void setNurserStationIntroducePictureUrl(String nurserStationIntroducePictureUrl) {
        this.nurserStationIntroducePictureUrl = nurserStationIntroducePictureUrl;
    }

    public String getNurserStationItemPictureUrl() {
        return nurserStationItemPictureUrl;
    }

    public void setNurserStationItemPictureUrl(String nurserStationItemPictureUrl) {
        this.nurserStationItemPictureUrl = nurserStationItemPictureUrl;
    }

    public String getGoodsPictureUrl() {
        return goodsPictureUrl;
    }

    public void setGoodsPictureUrl(String goodsPictureUrl) {
        this.goodsPictureUrl = goodsPictureUrl;
    }

    public String getHeadPictureUrl() {
        return headPictureUrl;
    }

    public void setHeadPictureUrl(String headPictureUrl) {
        this.headPictureUrl = headPictureUrl;
    }

    public String getAppointmentOrderDetailsUrl() {
        return appointmentOrderDetailsUrl;
    }

    public void setAppointmentOrderDetailsUrl(String appointmentOrderDetailsUrl) {
        this.appointmentOrderDetailsUrl = appointmentOrderDetailsUrl;
    }

    public String getAttributePitureUrl() {
        return attributePitureUrl;
    }

    public void setAttributePitureUrl(String attributePitureUrl) {
        this.attributePitureUrl = attributePitureUrl;
    }


    public String getAppFileName() {
        return appFileName;
    }

    public void setAppFileName(String appFileName) {
        this.appFileName = appFileName;
    }

    public String getNurseStationAppPersonUrl() {
        return nurseStationAppPersonUrl;
    }

    public void setNurseStationAppPersonUrl(String nurseStationAppPersonUrl) {
        this.nurseStationAppPersonUrl = nurseStationAppPersonUrl;
    }

    public String getEvaluatePictureUrl() {
        return evaluatePictureUrl;
    }

    public void setEvaluatePictureUrl(String evaluatePictureUrl) {
        this.evaluatePictureUrl = evaluatePictureUrl;
    }

    public String getRichTextPictureUrl() {
        return richTextPictureUrl;
    }

    public void setRichTextPictureUrl(String richTextPictureUrl) {
        this.richTextPictureUrl = richTextPictureUrl;
    }

    public String getGoodsCategoryPicture() {
        return goodsCategoryPicture;
    }

    public void setGoodsCategoryPicture(String goodsCategoryPicture) {
        this.goodsCategoryPicture = goodsCategoryPicture;
    }

    public String getNurseStationClassifyUrl() {
        return nurseStationClassifyUrl;
    }

    public void setNurseStationClassifyUrl(String nurseStationClassifyUrl) {
        this.nurseStationClassifyUrl = nurseStationClassifyUrl;
    }

    public String getNurseItemClassifyUrl() {
        return nurseItemClassifyUrl;
    }

    public void setNurseItemClassifyUrl(String nurseItemClassifyUrl) {
        this.nurseItemClassifyUrl = nurseItemClassifyUrl;
    }

    public String getPosterPictureUrl() {
        return posterPictureUrl;
    }

    public void setPosterPictureUrl(String posterPictureUrl) {
        this.posterPictureUrl = posterPictureUrl;
    }

    public String getLeadThumbnailUrl() {
        return leadThumbnailUrl;
    }

    public void setLeadThumbnailUrl(String leadThumbnailUrl) {
        this.leadThumbnailUrl = leadThumbnailUrl;
    }


    public String getPosterVideoUrl() {
        return posterVideoUrl;
    }

    public void setPosterVideoUrl(String posterVideoUrl) {
        this.posterVideoUrl = posterVideoUrl;
    }


    public String getGroupQrCodeUrl() {
        return groupQrCodeUrl;
    }

    public void setGroupQrCodeUrl(String groupQrCodeUrl) {
        this.groupQrCodeUrl = groupQrCodeUrl;
    }


    public String getCertificateUrl() {
        return certificateUrl;
    }

    public void setCertificateUrl(String certificateUrl) {
        this.certificateUrl = certificateUrl;
    }

    public String getPersonPictureUrl() {
        return personPictureUrl;
    }

    public void setPersonPictureUrl(String personPictureUrl) {
        this.personPictureUrl = personPictureUrl;
    }

    public String getPersonCertificateUrl() {
        return personCertificateUrl;
    }

    public void setPersonCertificateUrl(String personCertificateUrl) {
        this.personCertificateUrl = personCertificateUrl;
    }

    public String getPersonCertificateCheckUrl() {
        return personCertificateCheckUrl;
    }

    public void setPersonCertificateCheckUrl(String personCertificateCheckUrl) {
        this.personCertificateCheckUrl = personCertificateCheckUrl;
    }

    public String getTrainingCategoryPictureUrl() {
        return trainingCategoryPictureUrl;
    }

    public void setTrainingCategoryPictureUrl(String trainingCategoryPictureUrl) {
        this.trainingCategoryPictureUrl = trainingCategoryPictureUrl;
    }

    public String getTrainingItemCoverUrl() {
        return trainingItemCoverUrl;
    }

    public void setTrainingItemCoverUrl(String trainingItemCoverUrl) {
        this.trainingItemCoverUrl = trainingItemCoverUrl;
    }

    public String getTrainingItemPosterUrl() {
        return trainingItemPosterUrl;
    }

    public void setTrainingItemPosterUrl(String trainingItemPosterUrl) {
        this.trainingItemPosterUrl = trainingItemPosterUrl;
    }

    public String getTrainingItemContentUrl() {
        return trainingItemContentUrl;
    }

    public void setTrainingItemContentUrl(String trainingItemContentUrl) {
        this.trainingItemContentUrl = trainingItemContentUrl;
    }

    public String getItemDirectoryUrl() {
        return itemDirectoryUrl;
    }

    public void setItemDirectoryUrl(String itemDirectoryUrl) {
        this.itemDirectoryUrl = itemDirectoryUrl;
    }

	public String getApplyBarcodePitureUrl() {
		return applyBarcodePitureUrl;
	}

	public void setApplyBarcodePitureUrl(String applyBarcodePitureUrl) {
		this.applyBarcodePitureUrl = applyBarcodePitureUrl;
	}

	public String getRegisterBarcodePitureUrl() {
		return registerBarcodePitureUrl;
	}

	public void setRegisterBarcodePitureUrl(String registerBarcodePitureUrl) {
		this.registerBarcodePitureUrl = registerBarcodePitureUrl;
	}

	public String getPlateletPitureUrl() {
		return plateletPitureUrl;
	}

	public void setPlateletPitureUrl(String plateletPitureUrl) {
		this.plateletPitureUrl = plateletPitureUrl;
	}

	public String getLeftEyePitureUrl() {
		return leftEyePitureUrl;
	}

	public void setLeftEyePitureUrl(String leftEyePitureUrl) {
		this.leftEyePitureUrl = leftEyePitureUrl;
	}

	public String getRightEyePitureUrl() {
		return rightEyePitureUrl;
	}

	public void setRightEyePitureUrl(String rightEyePitureUrl) {
		this.rightEyePitureUrl = rightEyePitureUrl;
	}

	public String getAlzheimerFileUrl() {
		return alzheimerFileUrl;
	}

	public void setAlzheimerFileUrl(String alzheimerFileUrl) {
		this.alzheimerFileUrl = alzheimerFileUrl;
	}
}
